%define anolis_release 1

%global modname hamcrest
%global origname PyHamcrest

Name:           python-%{modname}
Version:        2.0.3
Release:        %{anolis_release}%{?dist}
Summary:        Hamcrest matchers for Python

License:        BSD-3-Clause
URL:            https://github.com/hamcrest/PyHamcrest
Source0:        %{url}/archive/V%{version}/%{name}-%{version}.tar.gz

# https://numpy.org/devdocs/release/1.20.0-notes.html#using-the-aliases-of-builtin-types-like-np-int-is-deprecated
# https://github.com/hamcrest/PyHamcrest/pull/218
Patch0:		numpy-1.20.0-alias-depr.patch	

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-numpy
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-xdist

%global _description \
PyHamcrest is a framework for writing matcher objects, allowing you to\
declaratively define "match" rules. There are a number of situations where\
matchers are invaluable, such as UI validation, or data filtering, but it is\
in the area of writing flexible tests that matchers are most commonly used.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{origname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%pytest -v

%files -n python3-%{modname} -f %{pyproject_files}

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 2.0.3-1
- Import package for anolis 23
